# DAGetColoring

Gets the coloring required for computing the Jacobian via finite differences on a function defined using a stencil on the DA.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetColoring(DA da,ISColoringType ctype,ISColoring *coloring)

Collective on DA

### Input Parameter

| da | - the distributed array
| ctype | - IS_COLORING_GLOBAL or IS_COLORING_GHOSTED

### Output Parameters

coloring -matrix coloring for use in computing Jacobians (or PETSC_NULL if not needed)

Notes: These compute the graph coloring of the graph of A^{T}A. The coloring used for efficient (parallel or thread based) triangular solves etc is NOT available.

### See Also

ISColoringView(), ISColoringGetIS(), MatFDColoringCreate(), ISColoringType, ISColoring

Level:advanced
Location: src/dm/da/utils/fdda.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex5f.F.html
src/ts/examples/tutorials/ex7.c.html